// -----------------------------------------------------------------------------
// This file contains all styles related to the button component.
// -----------------------------------------------------------------------------
.btn {
  font-size: inherit;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  padding: 8px 18px;
  transition: all 0.3s ease-in-out;

  &:active,
  &:focus {
    outline: none !important;
    box-shadow: none !important;
  }

  &:hover {
    color: $ubuntu-orange;
  }
}

// Button Primary
.btn-primary {
  background-color: $ubuntu-purple-light;
  border: 1px solid $ubuntu-purple-light;

  &:hover,
  &:active,
  &:focus {
    background-color: $ubuntu-purple-dark !important;
    border: 1px solid $ubuntu-purple-dark !important;
  }
}

// Button Primary Outline
.btn-outline-primary {
  border: 1px solid $ubuntu-purple-light;
  color: $ubuntu-purple-light;
  background-color: white;

  &:hover,
  &:active,
  &:focus {
    background-color: $ubuntu-purple-light !important;
    color: white !important;
    border: 1px solid $ubuntu-purple-light !important;
  }
}

// Button Secondary
.btn-secondary {
  background-color: $purple;
  border: 1px solid $purple;

  &:hover,
  &:active,
  &:focus {
    background-color: darken($purple, 10%) !important;
    border: 1px solid darken($purple, 10%) !important;
  }
}

// Button Tertiary
.btn-tertiary {
  background-image: linear-gradient(90deg, #8c3683, #c0474c);
  border: none;
  color: white;

  &:hover,
  &:active,
  &:focus {
    color: white;
  }
}

// Button Download
.btn-download {
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 300;
  text-align: left;
  border: 1px solid var(--text-primary);
  border-radius: 0;
  color: var(--text-primary);

  .system-icon {
    height: 57px;
    width: 57px;
    object-fit: contain;
  }

  .download-icon {
    width: 25px;
  }

  div {
    margin: 0 25px;

    @media (max-width: 1199.98px) {
      margin: 0 auto 0 25px;
    }
  }

  p {
    margin-bottom: 0 !important;
  }

  &:hover {
    background-color: var(--background-body);
  }
}

// Button Small
.btn-small {
  padding: 5px 16px !important;
  font-size: 13px;
  font-weight: 300;
}

// Button Rounded
.btn-rounded {
  border-radius: 100px;
}
